---
title: "Usage stats"
description: "Per-endpoint Request counts, hourly analytics, and dashboard overview"
url: "https://blockreq.com/docs/build/api-reference/blockreq/usage-stats/"
---

# Usage stats

## Description

Usage APIs are the same Dashboard REST handlers. Authenticate with a Management API Key. Do not send these to `*-rpc.blockreq.com`.

| Operation | Path |
| --- | --- |
| Per-endpoint counts | `GET /api/dashboard/endpoints/stats` |
| Hourly analytics | `GET /api/dashboard/analytics` |
| Aggregated overview | `GET /api/dashboard/overview` |

`stats` accepts `period=24h` or `period=30d`. `analytics` / `overview` accept `windowMinutes` and `limit`.

## Code

**cURL**

```bash
curl -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  "https://blockreq.com/api/dashboard/endpoints/stats?period=24h"

curl -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  "https://blockreq.com/api/dashboard/analytics?windowMinutes=1440"

curl -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  https://blockreq.com/api/dashboard/overview
```

**JavaScript**

```javascript
const headers = { Authorization: "Bearer akv1_YOUR_MANAGEMENT_API_KEY" };
const stats = await fetch("https://blockreq.com/api/dashboard/endpoints/stats?period=24h", { headers });
const analytics = await fetch("https://blockreq.com/api/dashboard/analytics?windowMinutes=1440", { headers });
```

Schemas: [Interactive API Docs](https://blockreq.com/docs/api).

## Try It

`GET https://blockreq.com/api/dashboard/endpoints/stats`

`GET https://blockreq.com/api/dashboard/analytics`

`GET https://blockreq.com/api/dashboard/overview`
